# Interface ICefDragData

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefDragData = interface(ICefBaseRefCounted)`

## Description

Interface used to represent drag data. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_drag_data_capi.h">CEF source file: /include/capi/cef_drag_data_capi.h (cef_drag_data_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefDragData

## Overview

### Methods

| `function Clone: ICefDragData;`
| `function IsReadOnly: Boolean;`
| `function IsLink: Boolean;`
| `function IsFragment: Boolean;`
| `function IsFile: Boolean;`
| `function GetLinkUrl: ustring;`
| `function GetLinkTitle: ustring;`
| `function GetLinkMetadata: ustring;`
| `function GetFragmentText: ustring;`
| `function GetFragmentHtml: ustring;`
| `function GetFragmentBaseUrl: ustring;`
| `function GetFileName: ustring;`
| `function GetFileContents(const writer: ICefStreamWriter): NativeUInt;`
| `function GetFileNames(var names: TStrings): Integer;`
| `function GetFilePaths(var paths: TStrings): Integer;`
| `procedure SetLinkUrl(const url: ustring);`
| `procedure SetLinkTitle(const title: ustring);`
| `procedure SetLinkMetadata(const data: ustring);`
| `procedure SetFragmentText(const text: ustring);`
| `procedure SetFragmentHtml(const html: ustring);`
| `procedure SetFragmentBaseUrl(const baseUrl: ustring);`
| `procedure ResetFileContents;`
| `procedure AddFile(const path, displayName: ustring);`
| `procedure ClearFilenames;`
| `function GetImage: ICefImage;`
| `function GetImageHotspot: TCefPoint;`
| `function HasImage: boolean;`

## Description

### Methods

| `function Clone: ICefDragData;`
Returns a copy of the current object. ###### Attributes GUID['{FBB6A487-F633-4055-AB3E-6619EDE75683}']

| `function IsReadOnly: Boolean;`
Returns true (1) if this object is read-only.

| `function IsLink: Boolean;`
Returns true (1) if the drag data is a link.

| `function IsFragment: Boolean;`
Returns true (1) if the drag data is a text or html fragment.

| `function IsFile: Boolean;`
Returns true (1) if the drag data is a file.

| `function GetLinkUrl: ustring;`
Return the link URL that is being dragged.

| `function GetLinkTitle: ustring;`
Return the title associated with the link being dragged.

| `function GetLinkMetadata: ustring;`
Return the metadata, if any, associated with the link being dragged.

| `function GetFragmentText: ustring;`
Return the plain text fragment that is being dragged.

| `function GetFragmentHtml: ustring;`
Return the text/html fragment that is being dragged.

| `function GetFragmentBaseUrl: ustring;`
Return the base URL that the fragment came from. This value is used for resolving relative URLs and may be NULL.

| `function GetFileName: ustring;`
Return the name of the file being dragged out of the browser window.

| `function GetFileContents(const writer: ICefStreamWriter): NativeUInt;`
Write the contents of the file being dragged out of the web view into |writer|. Returns the number of bytes sent to |writer|. If |writer| is NULL this function will return the size of the file contents in bytes. Call get_file_name() to get a suggested name for the file.

| `function GetFileNames(var names: TStrings): Integer;`
Retrieve the list of file names that are being dragged into the browser window.

| `function GetFilePaths(var paths: TStrings): Integer;`
Retrieve the list of file paths that are being dragged into the browser window.

| `procedure SetLinkUrl(const url: ustring);`
Set the link URL that is being dragged.

| `procedure SetLinkTitle(const title: ustring);`
Set the title associated with the link being dragged.

| `procedure SetLinkMetadata(const data: ustring);`
Set the metadata associated with the link being dragged.

| `procedure SetFragmentText(const text: ustring);`
Set the plain text fragment that is being dragged.

| `procedure SetFragmentHtml(const html: ustring);`
Set the text/html fragment that is being dragged.

| `procedure SetFragmentBaseUrl(const baseUrl: ustring);`
Set the base URL that the fragment came from.

| `procedure ResetFileContents;`
Reset the file contents. You should do this before calling ICefBrowserHost.DragTargetDragEnter as the web view does not allow us to drag in this kind of data.

| `procedure AddFile(const path, displayName: ustring);`
Add a file that is being dragged into the webview.

| `procedure ClearFilenames;`
Clear list of filenames.

| `function GetImage: ICefImage;`
Get the image representation of drag data. May return NULL if no image representation is available.

| `function GetImageHotspot: TCefPoint;`
Get the image hotspot (drag start location relative to image dimensions).

| `function HasImage: boolean;`
Returns true (1) if an image representation of drag data is available.

Generated by PasDoc 0.16.0-snapshot.